Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLnumberings

    java.lang.Object
      OOXMLconvert.OOXMLnumberings

    public class OOXMLnumberings

extends java.lang.Object

Field Summary
`private java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `bulletPics` zoznam obrazkov v tvare numPicBulletId -> relatívna cesta k obrázku
`private java.util.LinkedHashMap<java.lang.String,java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>>` | `numberings` zoznam numberings id -> level -> bullet/number

Constructor Summary
`OOXMLnumberings()`

Method Summary
`java.lang.String` | `getBulletStyle(int code)` Funkcia vráti na základe kódu znaku v odrážke CSS obdobu
`java.lang.String` | `getImgNumberingStyle(java.lang.String imgId)` Funkcia vráti na základe id obrázka CSS štýl pre danú odrážku
`java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `getNumbering(java.lang.String numId, int lvl)` Funkcia vráti k danému numberingu a levelu jeho vlastnosti.
`java.lang.String` | `getNumberingStyle(java.lang.String ooxmlStyle)` Funkcia vráti na základe štýlu číslovania CSS obdobu
`private void` | `levelOverride(Element numEl)` Funkcia, ktorá prečíta overrides levelov
`private java.lang.String` | `prepareImage(java.io.File imgFile, int size)` Funkcia pripraví obrázok.
`private java.util.LinkedHashMap<java.lang.String,java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>>` | `readAbstNumberings(Element root)` Funkcia prečíta abstraktné číslovania
`boolean` | `readAllNumberings()` Funkcia prečíta štýly číslovania a zapíše ich do numberings.
`private void` | `readBulletPics(Element root)` Funkcia prečíta obrázky v číslovaní a priradí k nim relatívne cesty k výsledným obrázkom
`private java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>` | `readLevelStyles(Element elLevels)` Funkcia prečíta všetky levely v danom numberings.
`private void` | `readNumberings(Element root, java.util.LinkedHashMap<java.lang.String,java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>> abstNumbering)` Funkcia prečíta číslovania
`private boolean` | `saveImage(java.awt.image.BufferedImage image, java.lang.String absPath, java.lang.String imgType)` Funkcia uloží obrázok do potrebného formátu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberings

    private java.util.LinkedHashMap<java.lang.String,java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>> numberings

  zoznam numberings id -> level -> bullet/number

### bulletPics

    private java.util.LinkedHashMap<java.lang.String,java.lang.String> bulletPics

  zoznam obrazkov v tvare numPicBulletId -> relatívna cesta k obrázku

Constructor Detail

### OOXMLnumberings

    public OOXMLnumberings()

Method Detail

### saveImage

    private boolean saveImage(java.awt.image.BufferedImage image,
                              java.lang.String absPath,
                              java.lang.String imgType)

  Funkcia uloží obrázok do potrebného formátu.

  Parameters:
    `image` - obrázok, ktorý chceme uložiť
    `absPath` - absolútna cesta k výslednému súboru
    `imgType` - typ obrázka
  Returns:
    true ak je element vizuálne prázdny false inak

### prepareImage

    private java.lang.String prepareImage(java.io.File imgFile,
                                          int size)

  Funkcia pripraví obrázok.

  Parameters:
    `imgFile` - súbor s obrázkom
    `size` - dĺžka väčšej strany výsledného obrázka
  Returns:
    výsledná relatívna cesta k obrázku

### readBulletPics

    private void readBulletPics(Element root)

  Funkcia prečíta obrázky v číslovaní a priradí k nim relatívne cesty k výsledným obrázkom

  Parameters:
    `root` - element obsahujúci číslovania

### readLevelStyles

    private java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>> readLevelStyles(Element elLevels)

  Funkcia prečíta všetky levely v danom numberings.

  Parameters:
    `elLevels` - element, ktorý je parentom levelov

### getNumbering

    public java.util.LinkedHashMap<java.lang.String,java.lang.String> getNumbering(java.lang.String numId,
                                                                                   int lvl)

  Funkcia vráti k danému numberingu a levelu jeho vlastnosti.

  Parameters:
    `numId` - numbering id
    `lvl` - level
  Returns:
    linked hash map (zoznam jednotlivých vlastností)

### readAbstNumberings

    private java.util.LinkedHashMap<java.lang.String,java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>> readAbstNumberings(Element root)

  Funkcia prečíta abstraktné číslovania

  Parameters:
    `root` - element obsahujúci číslovania
  Returns:
    LinkedHashMap zoznam abstraktných číslovaní

### levelOverride

    private void levelOverride(Element numEl)

  Funkcia, ktorá prečíta overrides levelov

  Parameters:
    `numEl` - num element

### readNumberings

    private void readNumberings(Element root,
                                java.util.LinkedHashMap<java.lang.String,java.util.ArrayList<java.util.LinkedHashMap<java.lang.String,java.lang.String>>> abstNumbering)

  Funkcia prečíta číslovania

  Parameters:
    `root` - element obsahujúci číslovania
    `abstNumbering` - zoznam abstraktných číslovaní

### readAllNumberings

    public boolean readAllNumberings()

  Funkcia prečíta štýly číslovania a zapíše ich do numberings.

  Returns:
    true ak nenastala chyba, false inak

### getBulletStyle

    public java.lang.String getBulletStyle(int code)

  Funkcia vráti na základe kódu znaku v odrážke CSS obdobu

  Parameters:
    `code` - kód znaku v odrážke
  Returns:
    String v ktorom je CSS štýl

### getNumberingStyle

    public java.lang.String getNumberingStyle(java.lang.String ooxmlStyle)

  Funkcia vráti na základe štýlu číslovania CSS obdobu

  Parameters:
    `ooxmlStyle` - štýl číslovania v OOXML
  Returns:
    String v ktorom je CSS štýl

### getImgNumberingStyle

    public java.lang.String getImgNumberingStyle(java.lang.String imgId)

  Funkcia vráti na základe id obrázka CSS štýl pre danú odrážku

  Parameters:
    `imgId` - id obrázka, pre ktorý chceme získať štýl
  Returns:
    String v ktorom je CSS štýl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD